Bug 1470623 - Need create default tsb-broker if enable service-catalog and template-service-broker in openshift-ansible [NEEDINFO]
Need create default tsb-broker if enable service-catalog and template-service...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.7.0
Assigned To: ewolinet
XiuJuan Wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 06:28 EDT by DeShuai Ma
Modified: 2017-11-28 17:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
As part of setting up the TSB with openshift-ansible we needed to ensure we registered with the broker
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 17:01:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ewolinet: needinfo? (xiuwang)


Attachments (Terms of Use)

  None (edit)
Description DeShuai Ma 2017-07-13 06:28:10 EDT
Description of problem:
Currently when enable service-catlog and asb, there will create a broker, then user can provision the service, For service-catalog and template-service-broker we need also create a broker resource.

Version-Release number of the following components:
openshift v3.6.143
kubernetes v1.6.1+5115d708d7
etcd 3.2.1
openshift-ansible-3.6.140-1.git.0.4a02427.el7.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. After install get the broker
[root@host-8-174-87 dma]# oc get broker
NAME                      KIND
ansible-service-broker    Broker.v1alpha1.servicecatalog.k8s.io

2.
3.

Actual results:
1. There is no broker about template-service-broker

Expected results:
1. There should have a broker of template-service-broker

Additional info:
Comment 1 Scott Dodson 2017-07-13 15:14:47 EDT
openshift-ansible will enable this in the future, a documentation update or blog post will detail how to enable TSB for tech preview 3.6 environments.
Comment 3 XiuJuan Wang 2017-09-28 06:23:27 EDT
Still no default tsb-broker if enable service-catalog and template-service-broker in openshift-ansible

 #oc  get pods -n openshift-template-service-broker 
NAME              READY     STATUS    RESTARTS   AGE
apiserver-qklhk   1/1       Running   0          1h
[root@host-8-241-68 root]# oc get pods -n kube-service-catalog 
NAME                       READY     STATUS    RESTARTS   AGE
apiserver-s743w            1/1       Running   0          26m
controller-manager-f8jlj   1/1       Running   0          26m
[root@host-8-241-68 root]# oc  get broker
the server doesn't have a resource type "broker"


openshift v3.7.0-0.133.0
kubernetes v1.7.0+80709908fd
openshift-ansible-3.7.0-0.133.0.git.0.06c6bc7.el7.noarch.rpm
Comment 5 XiuJuan Wang 2017-10-09 03:56:16 EDT
@ewolinet

Default tsb-broker has be created after enable service catalog & tsb in openshift-ansible
# oc get servicebroker
NAME                      KIND
template-service-broker   ServiceBroker.v1alpha1.servicecatalog.k8s.io

But still has no default serviceclass shown.

openshift v3.7.0-0.144.2
kubernetes v1.7.6+a08f5eeb62
Comment 7 DeShuai Ma 2017-10-09 22:37:02 EDT
serviceclass should be auto generated by service-catalog controller-manager when there is a servicebroker, if it can't be created, there should be some bug for service-catalog. For this bug I think it can be verified.
Comment 10 errata-xmlrpc 2017-11-28 17:01:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188

Note You need to log in before you can comment on or make changes to this bug.